"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const test_utils_1 = require("../test-utils");
require("chai");
const COMMAND = 'info';
describe(COMMAND, () => {
    test_1.test
        .stdout()
        .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.yml')])
        .it('prints information about a definition file', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('title');
        (0, test_1.expect)(ctx.stdout).to.contain('version');
    });
    test_1.test
        .stdout()
        .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.yml'), '--operations'])
        .it('lists api operations', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('Operations');
    });
    test_1.test
        .stdout()
        .command([COMMAND, (0, test_utils_1.resourcePath)('openapi.yml'), '--schemas'])
        .it('lists api schemas', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('Schemas');
    });
});
